Penning Trap Simulation Simulate particle behavior inside a Penning Trap

Loading...
Searching...
No Matches
PenningTrap.cpp File Reference

The implementation of the PenningTrap class. More...

`#include "PenningTrap.hpp"`

Go to the source code of this file.

## Detailed Description

The implementation of the PenningTrap class.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Todo:

  Implement constructor

  Implement add_particle

  Implement external_E_field

  Implement external_B_field

  Implement force_on_particle

  Implement total_force_external

  Implement total_force_particles

  Implement total_force

  Implement evolve_RK4

  Implement evolve_forward_euler

Definition in file PenningTrap.cpp.